#!/bin/bash

set -e

while getopts 't:' opt
do
	case $opt in
		t)
			team=$OPTARG
			;;
		?)
			exit 1
			;;
	esac
done

if [[ -z $team ]]
then
	echo "$0:" '-t is required' >&2
	exit 1
fi

# grab most recently started live pk, if multiple
mlblive schedule -t $team | jq '.dates[].games | map(select(.status.abstractGameState == "Live"))[-1].gamePk'
